import http from "@/mock/model/http"
import list from "@/mock/model/list"
import Mock from 'mockjs'
const Random = Mock.Random

export function stockListAll() {
  let model = JSON.parse(JSON.stringify(http)) 
  model.data = []

  for (let i = 0; i < 50; i++) {
    let father = Mock.mock({
      id: '@increment',//id
      name: '@ctitle(5)',//公司名称
      child: []
    })
    for (let j = 0; j < 10; j++) {
      father.child.push(Mock.mock({
        id: '@increment',//id
        name: '@ctitle(5)',//仓库名称
      }))
    }



    model.data.push(father)
  }
  return {
    url: 'stock/stockListAll',
    type: 'post',
    data: model
  }
}


export function statistics() {
  let model = JSON.parse(JSON.stringify(http)) 
    model.data= Mock.mock({
      value1: '@integer(300, 5000)',//当前库存
      value2: '@integer(300, 5000)',//待入库
      value3: '@integer(300, 5000)',//待出库
      value4: '@integer(300, 5000)',//可用库存
      value5: '@integer(300, 5000)',//在途库存
    })
  return {
    url: 'stock/statistics',
    type: 'post',
    data: model
  }
}

export function stockLog() {
  let model = JSON.parse(JSON.stringify(http)) 
  let listModel= JSON.parse(JSON.stringify(list)) 
  listModel.count = 100
  listModel.list = []

  for (let i = 0; i < 15; i++) {
    listModel.list.push(Mock.mock({
      id: '@increment',//记录编号
      author: '@cname',//操作人
      'reviewer|1': ['采购部', '网络部', '信息部', '财务部', '客服部', '项目部', '人事部'],//操作人部门
      'type|1': ['待入库', '待出库', '其他入库', '其他出库', '正式入库', '正式出库'],//仓库类型
      "number|1-100":100,//操作数量
      'typeo|1': ['采购入库单', '销售出库单', '售后退货', '采购调拨', '采购盘点'],//库存来源
      addTime: '@datetime', //操作时间
    }))
  }
  model.data = listModel
  return {
    url: 'stock/stockLog',
    type: 'post',
    data: model
  }
}



//库存预警列表
export function orderWarnList() {
  let model = JSON.parse(JSON.stringify(http)) 
  let listModel= JSON.parse(JSON.stringify(list)) 
  listModel.count = 100
  listModel.list = []

  for (let i = 0; i < 15; i++) {
    listModel.list.push(Mock.mock({
      orderNo: '@guid',//商品编号
      'goods|1':  ['恰恰瓜子', '卫龙辣条', 'XX月饼', 'XX潮牌鞋', '可口可乐'],//商品名称
      'attribute|1': ['红色-X码', '红色-m码', '红色-l码', '蓝色-l码', '蓝色-l码', '蓝色-l码', '整装'],//属性名称
      'type|1': [ '潮牌', '休闲食品'],//分类
      'unit|1': [ '件', '双', '袋', '盒', '桶'],//单位
      "number|1-100":100,//可用库存
      "warnNumber|1-50":50,//预警库存
      addTime: '@datetime', //操作时间
    }))
  }
  model.data = listModel
  return {
    url: 'stock/orderWarnList',
    type: 'post',
    data: model
  }
}


//仓库商品列表
export function stockGoodsList() {
  let model = JSON.parse(JSON.stringify(http)) 
  let listModel= JSON.parse(JSON.stringify(list)) 
  listModel.count = 100
  listModel.list = []

  for (let i = 0; i < 15; i++) {
    listModel.list.push(Mock.mock({
      orderNo: '@guid',//商品编号
      'goods|1':  ['恰恰瓜子', '卫龙辣条', 'XX月饼', 'XX潮牌鞋', '可口可乐'],//商品名称
      'attribute|1': ['红色-X码', '红色-m码', '红色-l码', '蓝色-l码', '蓝色-l码', '蓝色-l码', '整装'],//属性名称
      'unit|1': [ '件', '双', '袋', '盒', '桶'],//单位
      "number|1-100":100,//可用库存
    }))
  }
  model.data = listModel
  return {
    url: 'stock/stockGoodsList',
    type: 'post',
    data: model
  }
}
